"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const cmdargs = require("command-line-args");
const logger = require("./log");
const OPTION_DEFINITIONS = [
    { name: 'verbose', alias: 'v', type: Boolean },
    { name: 'config', alias: 'c', type: String, defaultValue: '~/dispatcher_ng.conf' }
];
function readConfig() {
    let options = cmdargs(OPTION_DEFINITIONS);
    exports.dict = JSON.parse(fs.readFileSync(options.config, "utf8"));
    logger.info(JSON.stringify(exports.dict));
}
exports.readConfig = readConfig;
//# sourceMappingURL=config.js.map